> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Payroll Group

> Soft-deletes a payroll group. The payroll group will no longer appear in listings but existing shifts are not affected.

<Warning>
  This performs a soft delete — the payroll group will no longer appear in listings but existing shifts assigned to this payroll group are not affected.
</Warning>


## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json DELETE /payroll-groups/{id}
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /payroll-groups/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Payroll Group ID
    delete:
      tags:
        - Payroll Groups
      summary: Delete Payroll Group
      description: >-
        Soft-deletes a payroll group. The payroll group will no longer appear in
        listings but existing shifts are not affected.
      operationId: delete-payroll-group
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Payroll group name is required:
                  value:
                    code: PYG-100
                    error: Payroll group name is required
                Locations must be an array:
                  value:
                    code: PYG-200
                    error: Locations must be an array
                Invalid location ID:
                  value:
                    code: PYG-200
                    error: Invalid location ID
                At least one skillset group row is required:
                  value:
                    code: PYG-400
                    error: At least one skillset group row is required
                Invalid skillset ID:
                  value:
                    code: PYG-500
                    error: Invalid skillset ID
                Invalid wage rule:
                  value:
                    code: PYG-600
                    error: Invalid wage rule
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid or missing API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Insufficient permissions to manage payroll groups:
                  value:
                    code: PYG-1000
                    error: Insufficient permissions to manage payroll groups
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Payroll group not found:
                  value:
                    code: PYG-300
                    error: Payroll group not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                An unexpected error occurred:
                  value:
                    code: PYG-2000
                    error: An unexpected error occurred
components:
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````